<?php
include "../conecta.php";
//echo"<pre>";
//	print_r($_COOKIE);
//echo"</pre>";

	switch( $_GET[c] ) {
	case 'bairro':			$TABELA = 'bairro';		break;
	case 'cidade':			$TABELA = 'cidade';		break;
	case 'entidade':		$TABELA = 'entidade';		break;
	case 'departamento':	        $TABELA = 'departamento';	break;
	case 'cargo':			$TABELA = 'cargo';		break;
	case 'evento':			$TABELA = 'eventotipo';		break;
	case 'projeto':			$TABELA = 'projeto';		break;
	case 'banco':			$TABELA = 'banco';		break;
	case 'cbo':			$TABELA = 'cbo';		break;
	case 'ocorrenciatipo':		$TABELA = 'ocorrenciatipo';	break;
	case 'categoriacompra':         $TABELA = 'categoriacompra';	break;
	case 'situacaosefip':	        $TABELA = 'situacaosefip';	break;
	case 'sindicato':	        $TABELA = 'sindicato';		break;
	case 'tomador':	                $TABELA = 'tomador';		break;
	case 'ocorrenciatipo':	        $TABELA = 'ocorrenciatipo';	break;
	// case 'cliente':	        $TABELA = 'cliente';	break;
	case 'equipamento':	        $TABELA = 'equipamento';	break;
	case 'servico':	        $TABELA = 'servico';	break;
	case 'produto':	        $TABELA = 'produto';	break;
	case 'cliente':        $TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='cliente'";	break;
	case 'funcionario':        $TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='funcionario'";	break;
	case 'profissional':        $TABELA = 'entidade'; $EXTRA=" AND enti_tx_tipo='profissional'";	break;
	case 'marca':	        $TABELA = 'marca';	break;
	case 'fornecedor':	        $TABELA = 'entidade';	 $EXTRA=" AND enti_tx_tipo='fornecedor'";	break;
	
	

default:	
		//echo "Tabela Inválida";	
		//exit;		
		$TABELA = $_GET[c];
	break;
	}


	if ( $_GET[tipo]=='receita' || $_GET[tipo]=='despesa' ) {
		$EXTRA=" AND plan_tx_tipo='$_GET[tipo]'";
	}

	
	cabecalho_css();
	
	$status = 'ativo';
	
	$TAB = substr($TABELA,0,4);

	if ( $TABELA=='entidade' )//SE FOR ENTIDADE, PERMITE BUSCAR PELO CPF
		$filtro = "AND (".$TAB."_tx_nome LIKE '%$_GET[busca]%' OR ".$TAB."_tx_cnpj LIKE '%$_GET[busca]%')";
	else
		$filtro = "AND (".$TAB."_tx_nome LIKE '%$_GET[busca]%')";


	$sql = selecionar($TABELA,$TAB."_tx_status",$status," $filtro $EXTRA ".grid::order_by($TAB.'_tx_nome')." LIMIT 15");
	// inicio do grid
	
	while( $a = mysql_fetch_array($sql) ) {
		
		cactux_combo_net::combo_div_valores($a[$TAB."_nb_id"],$a[$TAB."_tx_nome"]);		
	}
	

	cactux_combo_net::combo_div_gerar();	
	
?>